server:
  port: 5001

spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/oauth2
    username: postgres
    password:
    initialization-mode: never

  jpa:
    database-platform: org.hibernate.dialect.PostgreSQL9Dialect
    show-sql: false
    properties:
      hibernate.temp.use_jdbc_metadata_defaults: false
    hibernate:
      ddl-auto: update


#spring:
#  security:
#    user:
#      name: admin
#      password: admin123
#      roles: ADMIN,USER
#
#security:
#  oauth2:
#    client:
#      client-id: workflow-client
#      client-secret: workflow-secret
#      access-token-validity-seconds: 3600
#      authorized-grant-types: refresh_token,authorization_code,password,client_credentials
#      scope: READ,WRITE
#    authorization:
#      check-token-access: permitAll
logging:
  level:
    com.asiregar310.demo: debug
